gnutls_openpgp_set_recv_key_function(3)

NAME
gnutls_openpgp_set_recv_key_function - Used to set a key retrieval callback for PGP keys

SYNOPSIS
#include <gnutls/openpgp.h>

void gnutls_openpgp_set_recv_key_function(gnutls_session_t session, gnutls_openpgp_recv_key_func func);

ARGUMENTS

gnutls_session_t session
    a TLS session

gnutls_openpgp_recv_key_func func
    the callback

DESCRIPTION
This funtion will set a key retrieval function for OpenPGP keys. This callback is only useful in server side, and will be used if the peer sent a key fingerprint instead of a full key.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.